Summary:        Makes power profiles handling available over D-Bus
Name:           power-profiles-daemon
Version:        0.12
Release:        5%{?dist}
License:        GPLv3+
URL:            https://gitlab.freedesktop.org/hadess/power-profiles-daemon
Source0:        %{url}/uploads/2f9a5e241fa718abfe2cb81b4bd35fc7/power-profiles-daemon-0.12.tar.xz

BuildRequires:  meson gcc
BuildRequires:  systemd umockdev python3-dbusmock systemd-rpm-macros
BuildRequires:  pkgconfig(udev) pkgconfig(systemd) pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(upower-glib) pkgconfig(polkit-gobject-1) pkgconfig(gio-2.0)

%description
This package provides the ability to modify the system based on user-selected power profiles.

%prep
%autosetup

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install
mkdir -p %{buildroot}/%{_localstatedir}/lib/power-profiles-daemon

%check
%meson_test

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license COPYING
%doc README.md
%{_bindir}/powerprofilesctl
%{_libexecdir}/%{name}
%{_unitdir}/%{name}.service
%{_datadir}/dbus-1/system.d/net.hadess.PowerProfiles.conf
%{_datadir}/dbus-1/system-services/net.hadess.PowerProfiles.service
%{_datadir}/polkit-1/actions/net.hadess.PowerProfiles.policy
%{_localstatedir}/lib/power-profiles-daemon

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 0.12-4
- Rebuilt for upower 1.90.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Wang Guodong <gordonwwang@tencent.com> - 0.12-1
- initial build
